var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { MelodicComponent } from '@melodicdev/core';
import { iconTemplate } from './icon.template.js';
import { iconStyles } from './icon.styles.js';
/**
 * ml-icon - Icon component for displaying vector icons
 *
 * This component uses the Phosphor Icons library to render icons via ligatures by default.
 * https://phosphoricons.com/
 *
 * @example
 * ```typescript
 *
 * html`<ml-icon .icon=${'arrow-left'} size="md"></ml-icon>`
 * ```
 */
let IconComponent = class IconComponent {
    constructor() {
        /** phosphor icon name (maps to unicode codepoint) */
        this.icon = '';
        /** phosphor icon format */
        this.format = 'regular';
    }
};
IconComponent = __decorate([
    MelodicComponent({
        selector: 'ml-icon',
        template: iconTemplate,
        styles: iconStyles,
        attributes: ['icon', 'format', 'size']
    })
], IconComponent);
export { IconComponent };
